Package tigase.xmpp.impl

# Class VCardTemp

java.lang.Object
tigase.xmpp.XMPPProcessor
tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor
tigase.xmpp.XMPPProcessorAbstract
tigase.xmpp.impl.VCardXMPPProcessorAbstract
tigase.xmpp.impl.VCardTemp

All Implemented Interfaces:
  `Comparable<XMPPImplIfc>`, `Initializable`, `UnregisterAware`, `PresenceState.ExtendedPresenceProcessorIfc`, `XMPPImplIfc`, `XMPPProcessorConcurrencyAwareIfc`, `XMPPProcessorIfc`

@Bean(name="vcard-temp", parent=SessionManager.class, active=true) public class VCardTemp extends VCardXMPPProcessorAbstract implements PresenceState.ExtendedPresenceProcessorIfc
Describe class VCardTemp here.
Created: Thu Oct 19 23:37:23 2006

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ID`
  `protected static final String`
  `vCard`
  `protected static final String`
  `VCARD`
  `static final String`
  `VCARD_KEY`
  `protected static final String`
  `XMLNS`

  ### Fields inherited from class tigase.xmpp.XMPPProcessor

  `ALL_NAMES, ALL_PATHS, cmpInfo`

  ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

  `CLIENT_XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VCardTemp()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `extend(Element presence, XMPPResourceConnection session, Queue<Packet> results)`
  `Element`
  `extend(XMPPResourceConnection session, Queue<Packet> results)`
  `protected String`
  `getVCardXMLNS()`
  `void`
  `pepToVCardTemp_onDataRetrieved(Packet packet, XMPPResourceConnection session)`
  `void`
  `pepToVCardTemp_onPublication(BareJID userJid, XMPPResourceConnection session, String itemId, String mimeType, Supplier<JID> pubsubComponentJidSupplier, Consumer<Packet> writer)`
  `void`
  `processFromUserOutPacket(JID connectionId, Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
  The method is called when a packet is sent from the user, owner of the session somewhere else to other XMPP entity (other user on the server, other user on a different server, different server, component, transport, etc....).
  `void`
  `processFromUserToServerPacket(JID connectionId, Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
  The method is called when a packet is send from the user who is owner of the session to the local server (ping, roster management, privacy lists, etc...).
  `void`
  `processNullSessionPacket(Packet packet, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
  The method is called for packets received by the server for which no user session is found - neither sender session or receiver session.
  `void`
  `processServerSessionPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
  The method is called when a packet addressed to the server domain is received.
  `void`
  `processToUserPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
  Method is called for all the packets sent TO the user - owner of the session.
  `protected void`
  `storeVCard(XMPPResourceConnection session, Element elvCard)`

  ### Methods inherited from class tigase.xmpp.impl.VCardXMPPProcessorAbstract

  `beforeUnregister, convertVCard4ToVCardTemp, convertVCardTempToVCard4, initialize, setVCard`

  ### Methods inherited from class tigase.xmpp.XMPPProcessorAbstract

  `isFromUserSession, isNullSession, isServerSession, isToUserSession, process, processFromUserPacket`

  ### Methods inherited from class tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor

  `id, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

  ### Methods inherited from class tigase.xmpp.XMPPProcessor

  `canHandle, compareTo, concurrentQueuesNo, getComponentInfo, getInstance, getQueueSize, getStatistics, getThreadsNo, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

  `canHandle, concurrentQueuesNo, getComponentInfo, getStatistics, id, init, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

- ## Field Details

  - ### VCARD_KEY

    public static final String VCARD_KEY
    See Also:
      - Constant Field Values

  - ### vCard

    protected static final String vCard
    See Also:
      - Constant Field Values

  - ### VCARD

    protected static final String VCARD
    See Also:
      - Constant Field Values

  - ### XMLNS

    protected static final String XMLNS
    See Also:
      - Constant Field Values

  - ### ID

    protected static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VCardTemp

    public VCardTemp()

- ## Method Details

  - ### processFromUserOutPacket

    public void processFromUserOutPacket(JID connectionId, Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings) throws PacketErrorTypeException
    Description copied from class: `XMPPProcessorAbstract`
    The method is called when a packet is sent from the user, owner of the session somewhere else to other XMPP entity (other user on the server, other user on a different server, different server, component, transport, etc....). The default implementation just forwards the packet doing nothing else, which is good enough in most cases. You can overwrite the method to change the default behaviour.
    Overrides:
      `processFromUserOutPacket` in class `XMPPProcessorAbstract`
    Parameters:
      `connectionId` - is a `JID` instance with the session connection ID.
      `packet` - is a `Packet` sent by the user.
      `session` - is a `XMPPResourceConnection` instance with all the sending user session data.
      `repo` - is a `NonAuthUserRepository` instance giving access to a part of the user repository which is accessible regardless the session is authenticated or not.
      `results` - is a packets `Queue` with all the processing results from the plugin.
      `settings` - is a `Map` with all the configuration settings passed to the plugin.
    Throws:
      `PacketErrorTypeException` - on attempt to send an error response to the error packet.

  - ### processFromUserToServerPacket

    public void processFromUserToServerPacket(JID connectionId, Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings) throws PacketErrorTypeException
    Description copied from class: `XMPPProcessorAbstract`
    The method is called when a packet is send from the user who is owner of the session to the local server (ping, roster management, privacy lists, etc...). There is no default implementation for the method.
    Specified by:
      `processFromUserToServerPacket` in class `XMPPProcessorAbstract`
    Parameters:
      `connectionId` - is a `JID` instance with the session connection ID.
      `packet` - is a `Packet` sent by the user.
      `session` - is a `XMPPResourceConnection` instance with all the sending user session data.
      `repo` - is a `NonAuthUserRepository` instance giving access to a part of the user repository which is accessible regardless the session is authenticated or not.
      `results` - is a packets `Queue` with all the processing results from the plugin.
      `settings` - is a `Map` with all the configuration settings passed to the plugin.
    Throws:
      `PacketErrorTypeException` - on attempt to send an error response to the error packet.

  - ### processNullSessionPacket

    public void processNullSessionPacket(Packet packet, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings) throws PacketErrorTypeException
    Description copied from class: `XMPPProcessorAbstract`
    The method is called for packets received by the server for which no user session is found - neither sender session or receiver session. The default implementation does nothing, just ignores such a packet. To change the default behaviour the method has to be overwritten.
    Overrides:
      `processNullSessionPacket` in class `XMPPProcessorAbstract`
    Parameters:
      `packet` - is a `Packet` received by the server.
      `repo` - is a `NonAuthUserRepository` instance giving access to a part of the user repository which is accessible regardless the session is authenticated or not.
      `results` - is a packets `Queue` with all the processing results from the plugin.
      `settings` - is a `Map` with all the configuration settings passed to the plugin.
    Throws:
      `PacketErrorTypeException` - on attempt to send an error response to the error packet.

  - ### processServerSessionPacket

    public void processServerSessionPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)
    Description copied from class: `XMPPProcessorAbstract`
    The method is called when a packet addressed to the server domain is received. Please note, if a local user sends a packet to the server, the packet is handled by the `processFromUserPacket(...)` method. This method is not called for such packets.
    Specified by:
      `processServerSessionPacket` in class `XMPPProcessorAbstract`
    Parameters:
      `packet` - is a `Packet` received by the server and addressed to the server - the server virtual domain name.
      `session` - is a `XMPPResourceConnection` instance with all the server session data.
      `repo` - is a `NonAuthUserRepository` instance giving access to a part of the user repository which is accessible regardless the session is authenticated or not.
      `results` - is a packets `Queue` with all the processing results from the plugin.
      `settings` - is a `Map` with all the configuration settings passed to the plugin.

  - ### processToUserPacket

    public void processToUserPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings) throws PacketErrorTypeException
    Description copied from class: `XMPPProcessorAbstract`
    Method is called for all the packets sent TO the user - owner of the session. The default implementation just forwards the packet to the user connection. To change the default behavior the method has to be overwritten.
    Overrides:
      `processToUserPacket` in class `XMPPProcessorAbstract`
    Parameters:
      `packet` - is a `Packet` received by the server and addressed to the server - the server virtual domain name.
      `session` - is a `XMPPResourceConnection` instance with all the receiving user session data.
      `repo` - is a `NonAuthUserRepository` instance giving access to a part of the user repository which is accessible regardless the session is authenticated or not.
      `results` - is a packets `Queue` with all the processing results from the plugin.
      `settings` - is a `Map` with all the configuration settings passed to the plugin.
    Throws:
      `PacketErrorTypeException` - on attempt to send an error response to the error packet.

  - ### pepToVCardTemp_onPublication

    public void pepToVCardTemp_onPublication(BareJID userJid, XMPPResourceConnection session, String itemId, String mimeType, Supplier<JID> pubsubComponentJidSupplier, Consumer<Packet> writer)

  - ### pepToVCardTemp_onDataRetrieved

    public void pepToVCardTemp_onDataRetrieved(Packet packet, XMPPResourceConnection session)

  - ### extend

    public Element extend(Element presence, XMPPResourceConnection session, Queue<Packet> results)
    Specified by:
      `extend` in interface `PresenceState.ExtendedPresenceProcessorIfc`

  - ### extend

    public Element extend(XMPPResourceConnection session, Queue<Packet> results)
    Specified by:
      `extend` in interface `PresenceState.ExtendedPresenceProcessorIfc`

  - ### getVCardXMLNS

    protected String getVCardXMLNS()
    Specified by:
      `getVCardXMLNS` in class `VCardXMPPProcessorAbstract`

  - ### storeVCard

    protected void storeVCard(XMPPResourceConnection session, Element elvCard) throws TigaseDBException, NotAuthorizedException
    Specified by:
      `storeVCard` in class `VCardXMPPProcessorAbstract`
    Throws:
      `TigaseDBException`
      `NotAuthorizedException`